=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/Attic/release-service/([\d.]+)/src/libksane-([\d.]+).tar.xz
